package com.qmth.teachcloud.report.business.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 基础教师导入
 * @Author: CaoZixuan
 * @Date: 2021-09-21
 */
public class TeacherDto implements Serializable {

    @ExcelNote(value = "教师编号")
    @NotNull
    private String teacherCode;

    @ExcelNote(value = "教师名称")
    @NotNull
    private String teacherName;

    @ExcelNote(value = "机构名称")
    @NotNull
    private String orgName;

    @ExcelNote(value = "角色名称")
    @NotNull
    private String roleName;

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }
}
